| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiGridSvc::GaudiGridSvcConf::GFALDataStreamTool Class Reference

List of all members.

## Detailed Description

Definition at line 5 of file GaudiGridSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiGridSvc::GaudiGridSvcConf::GFALDataStreamTool::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 19 of file GaudiGridSvcConf.py.

    00019                                                                :
    00020       super(GFALDataStreamTool, self).__init__(name)
    00021       for n,v in kwargs.items():
    00022          setattr(self, n, v)
      def getDlls( self ):

def GaudiGridSvc::GaudiGridSvcConf::GFALDataStreamTool::getDlls | ( |  | self | ) |

Definition at line 23 of file GaudiGridSvcConf.py.

    00023                      :
    00024       return 'GaudiGridSvc'
      def getType( self ):

def GaudiGridSvc::GaudiGridSvcConf::GFALDataStreamTool::getType | ( |  | self | ) |

Definition at line 25 of file GaudiGridSvcConf.py.

    00025                      :
    00026       return 'GFALDataStreamTool'
      pass # class GFALDataStreamTool

## Member Data Documentation

dictionary GaudiGridSvc::GaudiGridSvcConf::GFALDataStreamTool::__slots__`[static, private]`

Initial value:

    {
        'MonitorService' : 'MonitorSvc', # str
        'OutputLevel' : 7, # int
        'AuditTools' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'BlockSize' : 1, # int
        'InitialStage' : 1, # int
      }

Definition at line 6 of file GaudiGridSvcConf.py.

dictionary GaudiGridSvc::GaudiGridSvcConf::GFALDataStreamTool::_propertyDocDct`[static, private]`

Initial value:

    {
      }

Definition at line 17 of file GaudiGridSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiGridSvc/genConf/GaudiGridSvc/GaudiGridSvcConf.py